Flash Switcher extension for Firefox

I just did this new extension (my third extension) for Mozilla firefox. I hope it can be useful for Flash developer who want to easily test their pages with different flash player versions.
The extension hasn’t been approved yet by the Mozilla developer extension team so I decided to make first a post here, also for let you to test it and also because last time they took 3 weeks before they approve an extension…

Nvq Level 3 Childcare Coursework Help source link What is this extension?
This extension comes with all the currently published flash player plugins (from the version 2 to the most recent 9,0,16) and allows you to easily switch from one plugin to another, or also to remove the currently installed plugin (maybe for testing the express install).

click get Where I can find it?
Once installed you will find the “flash switcher” icon in the Firefox statusbar at right. Click on it and a list of available options will appear.

http://admisiones.uprrp.edu/wp-content/?essay=2094&writingservice=dissertation-writing-assistance-london Can I add more flashplayer versions?
Yes, even if you should do it manually.
The extensionn folder can be found here:

source site C:\{userAppData}\Mozilla\Firefox\Profiles\{userProfile}\extensions\{2b5cfade-d133-429c-aea5-865911de4e1d}

follow url Into the “ source url chrome\plugins” folder you will see different folder (such as 9.0 r16, 8.0 r24 etc) with a file NPSWF32.dll within.
To install a new plugin just create a new folder with the name of the player version and copy into it the NPSWF32.dll file which comes with every flash player installer.
You can find all the old flash versions here
Another way to add more versions of the player is to install the flashplayer version you want into firefox, then save it using the “save as” menu item of flash switcher.

home page Download and install flash switcher here.

  • http://www.falydelaferiaalrocio.com/madame-bovary-essay/ madame bovary essay This extension it’s very cool! Thanks Alessandro! 😉

  • Hi, this looks very useful, but every time I try to install it, a dialog box pops up: Firefox could not install the file at file:///C:/… because: Invalid file has (possible download corruption). I tried downloading it several times, with different tools, always the same file 3,854,837 bytes, md5sum: 1461b7feae0e97ec1c312842a112f1fb ) Firefox 1.5.0.7 on Windows XP SP2

  • Hello, i got a question. Does it run with newser versions, too?
    Somebody test it? Thank you
    kind regards,
    serk

  • I’ve been using this extension for years but on Firefox 3.0.3 on OSX I get the same error message

  • thank you so, SO much… the most usefull extension I’ve installed in a good while ^^. One little tiny thing though, maybe for next version… I think Firefox should always start with the highest version of FP available… regardless of what version you set up previously with the switcher…

  • just follow the instructions i wrote in the post, it should be easy to add/remove/change the flash player versions

  • Hi, this looks very useful, but every time I try to install it, a dialog box pops up: Firefox could not install the file at file:///C:/… because: Invalid file has (possible download corruption). I tried downloading it several times, with different tools, always the same file 3,854,837 bytes, md5sum: 1461b7feae0e97ec1c312842a112f1fb ) Firefox 1.5.0.7 on Windows XP SP2

  • hi. beautiful work. one little comment, is it possible to use the debug version of the players? cos most of developers, who will use, will use the debugging capabilities. \m/

  • Chris

    Have error:
    Component returned falure code 0x80520008 (NS_ERROR_FILE_ALREADY_EXISTS)
    [nsILocalFile.copyTo]
    This dir:
    c:\windows\system32\macromed\flash
    Not exists with me as mentioned in the other comment.. running Vista x64

  • Chris

    Ok i found it.. its here:
    C:\Windows\SysWOW64\Macromed\Flash
    But even if i rename it after switching it will say:
    Access to folder C:\Windowssystem32MacromedFlash is denied. Consider to use and user accesible
    plugins folder instead (for example: ~/.mozilla/plugins/)
    (I renamed the dir in settings to)

  • yes, just follow the instructions i wrote in the post, it should be easy to add/remove/change the flash player versions

  • Dennis

    Hey.
    Does anyone noticed any fault behavior of the flash switcher with FF 3.5.5 and Windows 7?
    I have the problem, that I’ll get an error message (“Compontent returned failure code: 0x80520008 (NS_ERROR_FILE_ALREADY_EXISTS) [nsILocalFile.copyTo]”), if I’ll try to switch the version with the tool?
    Thanks,
    Dennis

  • I second that. Not working on Win7 64bit Ultimate
    Cant remove either:
    window title: Javascript Application
    window message: Component returned failure code: 0x80520015 (NS_ERROR_FILE_ACCESS_DENIED) [nsILocalFile.remove]

  • Hey Alessandro – Hope you are doing well.
    I had Flash Switcher working in the past, but I have since updated to Windows 7 and Mozilla Firefox 3.5.7, and I am getting an error as described below…
    Component returned failure code: 0x80520008 (NS_ERROR_FILE_ALREADY_EXISTS) [nsILocalFile.copyTo]
    Any solutions to this issue? I understand that you have it working for XP, but would love to have it working in 7 (which is a great OS imho)
    cheers
    Edward Apostol
    New Toronto Group

  • I’m having trouble getting FlashSwitcher working in Firefox 3.6 – are there compatability issues with this update? It works fine for me in 3.5 (and all other versions) but would be nice if it worked in 3.6+ too.
    Other than that, well done on the great plugin! It’s been an indispensable tool for Flash development 🙂

  • Adnan Doric

    flash_switcher doesn’t work in Windows 7 🙁
    same error as below.

  • I’m trying with firefox 3.5.2 on Debian GNU/Linux, the plugin swither is not working fine.
    I can see in the tray area the flash-switcher icon, and the icons for the flash 7 and 9 which come pre-installed.
    But it looks like I cannot save new plugins and then select them, that is I can “Save As” them and they’ll be placed in the directory where are stored the flash player, but they will not appear in the list of plugins selectable by the switcher.
    Please fix it, that’s sad I was so happy to have found the plugin which would have fixed my flash switching problems once and for all!
    Thanks, ciao

  • For all those have problems with this extension using Firefox 3.6 and the error “NS_ERROR_FILE_ACCESS_DENIED”, I remember that this is a limitation of the Operating System, because usually the browser default folder is a system folder.
    What you have to do is: uninstall flash player ( you can save it before uninstalling, using flashswitcher ), restart the browser. Then open the flashswitcher settings dialog and choose your user level plugin directoy.
    For Mac OSX it is located at http://www.sodascore.com/anne-frank-book-report-help/ /Users/{username}/Library/Internet Plug-Ins, for Windows it is located at: http://www.3solarbids.com/ethic-buying-term-papers/ C:\Users\{username}\AppData\Roaming\Mozilla\Firefox\Profiles\{yourprofile}\Plugins.
    In this way the access error won’t appear anymore.

  • stephen

    I was still getting “NS_ERROR_FILE_ACCESS_DENIED” errors in Firefox 3.6 even after changing my plugin path as mentioned here (http://www.sephiroth.it/cgi-bin/mt/mt-comments.cgi?__mode=red;id=5915). I managed to fix it by editing line 167 of os.js to this: file.initWithPath( this.parent.utils.getTargetDir() + “\\” + current );

  • Flash switcher 2.0.3 is not working any more on FF 3.6.3 on Win XP SP3. Plugin wont install but asks for firefox restart (in addon manager) all the time. Tested on 2 similar systems (at work and home).
    Cant specify when this problem occurs as i do not use FS every day.
    Any ideas how to “clean” my PC to get FS working again?

  • Jsmith

    apparently doesn’t work with firefox v12